AnxAmxCapt

Overview

Use AnxAmxCapt to:
  • Set the AN-X IP address
  • Capture frames from an AutoMax network
  • Select and store frames to a text file


Capture Menu

Items on the Capture Menu include:

  • Acquire capture frames from an AutoMax network
  • Dump select frames and store them to a text file


Acquire

This command captures network frames and store them to your hard disk.

This command displays the Capture Control Dialog


Dump

Selects frames from a capture file and stores them to a text file on your hard disk.

This command displays the Text Dump Dialog


Config Menu

Items on the Configuration Menu include:

  • Set AN-X IP Address set the IP address for the AN-X performing the capture


Set AN-X IP Address

This command selects the AN-X module doing the capture.

The command displays the AN-X IP Address Dialog


Help Menu

The Help Menu provides access to the help system.

Items on the Help Menu include:

  • Help Topics
  • Help About AnxAmxCapt... to display the Help About box


Help Topics

The Help Topics command displays the help contents window.


About Box

About AnxAmxCapt...

The About Box displays the version of AnxAmxCapt, as well as some copyright information.


Capture Control

Capture Control Dialog

Sets options for capturing network frames and begins the capture.

Browse or type the capture file name into the CaptFile box.

To capture frames to one large file, check Continuous File.

To use the ring buffer method of capture, uncheck Continuous File and enter the number of minutes of data you wish to store in Keep Time. AnxAmxCapt creates a new capture file each minute, and deletes any files older than the keep time. When you stop the capture, the files for Keep Time number of minutes are retained. The value of Keep Time can range from 2 to 1439 minutes.

If you want the capture to stop after a specified number of network errors, enter the value in Stop Error Limit. If the value is 0, AnxAmxCapt ignores network errors and continues to capture data until the capture is manually stopped. If you are using the ring buffer method of capture and the Stop Error Limit is non-zero, the error count is reset to 0 each time a new file is opened.

If Auto Dump is checked, AnxAmxCapt automatically executes a Dump command when the capture ends.

Click Start to start the capture. AnxAmxCapture displays the Capture Status dialog box.


Capture Status

Capture Status Dialog

Shows the state of the capture currently running.

Creating: shows the name of the file currently being created.

Size: is the size of the current file.

Deleting: shows the name of the file currently being deleted. This applies only to captures in ring buffer mode.

GoodRx is a count of the frames with good status captured. It wraps around at 65535.

BadRx is the number of frames with bad status or frames that could not be interpreted.

The Free Space progress bar shows the amount of free space remaining on the hard disk.

Click Stop to terminate the capture and store the captured frames to hard disk.


Dump Text

Dump Text Dialog

Selects frames from a capture file and dumps them to a text file on your hard disk.

Browse or type the name of the capture file in the FileName box.

Browse or type the name of the option file in the OptionFile box.

To edit the current option file, click the Edit button.

To select a range of reference numbered frames, enter the starting reference number (StartRef) and the ending reference number (EndRef).

If the capture file was created using the ring buffer method, enter the number of minutes of data you wish to select in the NumMin box. If the capture file is a continuous file, set NumMin to 1.

Check Auto Exec Editor if you wish AnxAmxCapt to open the file in a text editor after it has been saved. Browse or type the path the the editor into the Editor Path box.

Click the Execute button to dump the selected frames to the text file.


Help About

Help About AnxAmxCapt...

The Help About AnxAmxCapt command displays the Help About dialog box, which contains the version of AnxAmxCapt, as well as some copyright information.


Help Context

The Help Context command changes the mouse cursor to the Context Help cursor, which you can use to obtain help about any menu command or toolbar item.


AN-X IP Address Dialog

Selects the AN-X performing the capture by IP address.

If you are connecting to an existing network, consult the network administrator about how the AN-X should be configured before you connect the AN-X to the network!

Enter the IP address of the AN-X. You can obtain the IP address using the AnxInit ulility supplied with AN-X.


Option Files

Option files control which frames are selected from a capture file and the format of the text display of the captured frames.

Refer to the AN-X-AMXCAPT user manual for details on the option file contents.

To select all frames from the capture file, use the option file QTS_All.opt


SysClose

System Menu Close

Close the application.


SysMaximize

System Menu Maximize

Maximize the application window.


SysMinimize

System Menu Minimize

Minimize the application window.


SysMove

System Menu Move

Move the application window.


SysRestore

System Menu Restore

Restore a previously minimized application window.


SysSize

System Menu Size

Resize the application window.